commit:     aa25714ee5a39d31c0ceb9db92d476ef02249fc1
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 11:00:42 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 13:35:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa25714e

dev-python/python-sqlparse: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/python-sqlparse/Manifest                |  1 +
 .../python-sqlparse/python-sqlparse-0.1.18.ebuild  | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/python-sqlparse/Manifest 
b/dev-python/python-sqlparse/Manifest
index 8dd5f14..54b89f5 100644
--- a/dev-python/python-sqlparse/Manifest
+++ b/dev-python/python-sqlparse/Manifest
@@ -3,3 +3,4 @@ DIST python-sqlparse-0.1.13.tar.gz 153184 SHA256 
d827ac617c159ec60ddd7d4db05bb1c
 DIST sqlparse-0.1.14.tar.gz 55307 SHA256 
e561e31853ab9f3634a1a2bd53035f9e47dfb203d56b33cc6569047ba087daf0 SHA512 
212f0dc1f05057f44cb441c2b0d29a597a826c3170ec87276a74c79f5d445cf736cfcbf8ff7cfe40c252416bba9851ce4a4739418627172ac41d98e6835668c6
 WHIRLPOOL 
93a226fe3df6d6d078c447e311d10114a9fb31801d848456ab9ba21d4087a373a6d2f20d1bc4e55474dae28411dcb4112e85ceaf373dec51275aa9ce38102aff
 DIST sqlparse-0.1.15.tar.gz 57863 SHA256 
ce92c9f134b1cd461a27c502197464b5f245261ad0fbb26d7bf659f28a5c11b2 SHA512 
9d7ef4b22465b0b0438195f304fa138f286f5976ba64880616ef46da4df76dd9c6bb34d56c8daa66e522e68b3e7f284d442e513e3cc97a5300c38597d2c4afc1
 WHIRLPOOL 
968250ad9f2945ab6d61d94a673493cc6c6e42fea5566f6a7b25f4cde57dbbcf8216e8e1003f50b1f5bd1be58b00838fecdc6c729c8ba3a2365309ddede66ba5
 DIST sqlparse-0.1.16.tar.gz 58418 SHA256 
678c6c36ca4b01405177da8b84eecf92ec92c9f6c762396c965bb5d305f20f81 SHA512 
2561ed970340eb99b575626fd8bb7253f522507628ed86256a32e7bd7dd438b7f4bec0adf1d7298a2903411d2623cb5a4ba6f53c794bcc38b695e2ddf26c488c
 WHIRLPOOL 
8c2f01c4bda48e190668bb34cbabc1bc775a224432ca9ea638f4c350fe493c8705d171f4f6c40063e8c7546502249cec3bfa73d5f6f6e47b918cdba8a5cdcafc
+DIST sqlparse-0.1.18.tar.gz 58594 SHA256 
39b196c4a06f76d6ac82f029457ca961f662a8bbbb2694eb1dfe4f2b68a2d7cf SHA512 
78d20af3945140ff82d9ac9411eed57e0515a755ecafa407fbd7cdcca27b06a72b4e67f1fa22ccadcaa59827814f0ef58db68f236ca142b5663236d31c80820e
 WHIRLPOOL 
129176182f532886cfeebce6a9512bfba6068e4728372761d97ac7214202577df1b1464f188be302827f2b7264c9596027475282bc81f9d8cee4506405627890

diff --git a/dev-python/python-sqlparse/python-sqlparse-0.1.18.ebuild 
b/dev-python/python-sqlparse/python-sqlparse-0.1.18.ebuild
new file mode 100644
index 0000000..df6e142
--- /dev/null
+++ b/dev-python/python-sqlparse/python-sqlparse-0.1.18.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+MY_PN="${PN##python-}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A non-validating SQL parser module for Python"
+HOMEPAGE="https://code.google.com/p/python-sqlparse/ 
https://github.com/andialbrecht/sqlparse";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+LICENSE="BSD-2"
+IUSE="doc test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               )"
+# Required for running tests
+DISTUTILS_IN_SOURCE_BUILD=1
+
+S="${WORKDIR}"/${P#python-}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       if python_is_python3; then
+               2to3 -w --no-diffs -n tests/ sqlparse/
+               py.test ./tests || die "testsuite failed ${EPYTHON}"
+       else
+               py.test tests || die "testsuite failed under ${EPYTHON}"
+       fi
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to